purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Ide.Filter.Declaration

# Documentation

data DeclarationType #

Constructors

Value |
Type |
Synonym |
DataConstructor |
TypeClass |
ValueOperator |
TypeOperator |
Module |

#### Instances

Instances details

FromJSON DeclarationType # |
Instance details Defined in Language.PureScript.Ide.Filter.Declaration Methods parseJSON :: Value -> Parser DeclarationType # parseJSONList :: Value -> Parser [DeclarationType] # omittedField :: Maybe DeclarationType #
ToJSON DeclarationType # |
Instance details Defined in Language.PureScript.Ide.Filter.Declaration Methods toJSON :: DeclarationType -> Value # toEncoding :: DeclarationType -> Encoding # toJSONList :: [DeclarationType] -> Value # toEncodingList :: [DeclarationType] -> Encoding # omitField :: DeclarationType -> Bool #
Show DeclarationType # |
Instance details Defined in Language.PureScript.Ide.Filter.Declaration Methods showsPrec :: Int -> DeclarationType -> ShowS # show :: DeclarationType -> String # showList :: [DeclarationType] -> ShowS #
Eq DeclarationType # |
Instance details Defined in Language.PureScript.Ide.Filter.Declaration Methods (==) :: DeclarationType -> DeclarationType -> Bool # (/=) :: DeclarationType -> DeclarationType -> Bool #
Ord DeclarationType # |
Instance details Defined in Language.PureScript.Ide.Filter.Declaration Methods compare :: DeclarationType -> DeclarationType -> Ordering # (<) :: DeclarationType -> DeclarationType -> Bool # (<=) :: DeclarationType -> DeclarationType -> Bool # (>) :: DeclarationType -> DeclarationType -> Bool # (>=) :: DeclarationType -> DeclarationType -> Bool # max :: DeclarationType -> DeclarationType -> DeclarationType # min :: DeclarationType -> DeclarationType -> DeclarationType #